const express = require('express');
const router = express.Router();
const verifyToken = require('../middlewares/verifyToken');
const verifyAdminOrAuditor = require('../middlewares/verifyAdminOrAuditor');
const {
  getExternalAuditors,
  getExternalAuditorById,
  createExternalAuditor
} = require('../controllers/externalAuditorsController');

router.get('/', verifyToken, verifyAdminOrAuditor, getExternalAuditors);
router.get('/:id', verifyToken, getExternalAuditorById);
router.post('/', verifyToken, verifyAdminOrAuditor, createExternalAuditor);

module.exports = router;
